unit TTAError;
(*
 * TTAError.h
 *
 * Description: Errors processor internal interface
 *
 * Copyright (c) 2004 Alexander Djourik. All rights reserved.
 * Copyright (c) 2004 Pavel Zhilin. All rights reserved.
 *
 *)

(*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * aint with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Please see the file COPYING in this directory for full copyright
 * information.
 *)

  (* delphi transformation by K.Kumaki *)

interface
uses Windows, SysUtils, Classes, Controls;

type
  ETTA_ERROR = class(Exception);
  ETTA_FORMAT_ERROR = class(ETTA_ERROR);
  ETTA_FILE_ERROR   = class(ETTA_ERROR);
  ETTA_FIND_ERROR   = class(ETTA_ERROR);
  ETTA_CREATE_ERROR = class(ETTA_ERROR);
  ETTA_OPEN_ERROR   = class(ETTA_ERROR);
  ETTA_WRITE_ERROR  = class(ETTA_ERROR);
  ETTA_READ_ERROR   = class(ETTA_ERROR);
  ETTA_MEMORY_ERROR = class(ETTA_ERROR);
  ETTA_TTA_CANCELED = class(ETTA_ERROR);

implementation

end.
